//
//  TimedLabel.h
//  GlobalGameJam15
//
//  Created by Cesar Parent on 24/01/2015.
//  Copyright (c) 2015 Cesar Parent. All rights reserved.
//

#ifndef __GlobalGameJam15__TimedLabel__
#define __GlobalGameJam15__TimedLabel__

#include <PixelKit/PixelKit.h>

using namespace PixelKit;

class TimedLabel : public LabelNode
{
public:
	TimedLabel(std::string text, int duration);
	virtual ~TimedLabel();
	
	virtual void update(int timeInterval) override;
	virtual void didExitParent() override;
	
private:
	
	int _duration;
	int _frames;
};

#endif /* defined(__GlobalGameJam15__TimedLabel__) */
